const { checkPluginExist } = require("./utils");
/**
 * 检测是否存在 plugins 目录 ，否则并初始化 plugins/index
 * @param {*} api
 */
module.exports = (api) => {
  const isPluginExist = checkPluginExist();

  const isTs = api.hasPlugin("typescript");

  if (!isPluginExist) {
    if (isTs) {
      api.render("../generator/template-main/ts", {});
    } else {
      api.render("../generator/template-main/js", {});
    }
  }
};
